# Interface methods for submodule: KittlerIllingworthThresholdImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import HistogramThresholdImageFilterProxy as _HistogramThresholdImageFilterProxy


# Interface methods for class: KittlerIllingworthThresholdImageFilter
class KittlerIllingworthThresholdImageFilterProxy(_HistogramThresholdImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

